Arbor 3: FSM & BT Graph Editor 3.6.8

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleFloat Class Reference

参照方法が複数ある柔軟なfloat型を扱うクラス。 More...

Inheritance diagram for FlexibleFloat:

## Public Member Functions
override object | GetValueObject ()
| 値をobjectで返す。 More...
| FlexibleFloat ()
| FlexibleFloatデフォルトコンストラクタ More...
| FlexibleFloat (float value)
| FlexibleFloatコンストラクタ More...
| FlexibleFloat (FloatParameterReference parameter)
| FlexibleFloatコンストラクタ More...
| FlexibleFloat (float minRange, float maxRange)
| FlexibleFloatコンストラクタ More...
| FlexibleFloat (InputSlotFloat slot)
| FlexibleFloatコンストラクタ More...

## Static Public Member Functions
static | operator float (FlexibleFloat flexible)
| FlexibleFloatをfloatにキャスト。 More...
static | operator FlexibleFloat (float value)
| floatをFlexibleFloatにキャスト。 More...

## Properties
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
float | value`[get]`
| 値を返す More...
Properties inherited from FlexiblePrimitiveBase
FlexiblePrimitiveType | type`[get]`
| Typeを返す More...

## Additional Inherited Members
Protected Attributes inherited from FlexiblePrimitiveBase
FlexiblePrimitiveType | _Type = FlexiblePrimitiveType.Constant
| プリミティブ型の参照タイプ More...

## Detailed Description

参照方法が複数ある柔軟なfloat型を扱うクラス。

## Constructor & Destructor Documentation

## ◆ FlexibleFloat() [1/5]

FlexibleFloat | ( |  | ) |

FlexibleFloatデフォルトコンストラクタ

## ◆ FlexibleFloat() [2/5]

FlexibleFloat | ( | float | value | ) |

FlexibleFloatコンストラクタ

Parameters

  value | 値

## ◆ FlexibleFloat() [3/5]

FlexibleFloat | ( | FloatParameterReference | parameter | ) |

FlexibleFloatコンストラクタ

Parameters

  parameter | パラメータ

## ◆ FlexibleFloat() [4/5]

FlexibleFloat | ( | float | minRange,
|  | float | maxRange
| ) |  |

FlexibleFloatコンストラクタ

Parameters

  minRange | 最小範囲。
  maxRange | 最大範囲。

## ◆ FlexibleFloat() [5/5]

FlexibleFloat | ( | InputSlotFloat | slot | ) |

FlexibleFloatコンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

## ◆ GetValueObject()

override object GetValueObject | ( |  | ) |
| virtual

値をobjectで返す。

Returns
  値のobject

Implements FlexiblePrimitiveBase.

## ◆ operator FlexibleFloat()

static operator FlexibleFloat | ( | float | value | ) |
| explicit static

floatをFlexibleFloatにキャスト。

Parameters

  value | float

## ◆ operator float()

static operator float | ( | FlexibleFloat | flexible | ) |
| explicit static

FlexibleFloatをfloatにキャスト。

Parameters

  flexible | FlexibleFloat

## Property Documentation

## ◆ parameter

Parameter parameter
| get

Parameterを返す。TypeがParameter以外の場合はnull。

## ◆ value

float value
| get

値を返す